%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global npm_name emitter

Name:       nodejs-component-emitter
Version:    1.2.1
Release:    2%{?dist}
Summary:    An event emitter component for Node.js
License:    MIT
URL:        https://github.com/component/emitter
Source0:    https://github.com/component/%{npm_name}/archive/%{version}/%{npm_name}-%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(should)
%endif

%description
%{summary}.


%prep
%autosetup -n %{npm_name}-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/component-emitter
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/component-emitter

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%if 0%{?enable_tests}
/usr/bin/mocha --require should --reporter spec
%endif


%files
%doc History.md Readme.md
%license LICENSE
%{nodejs_sitelib}/component-emitter


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Mar 31 2017 Piotr Popieluch <piotr1212@gmail.com> - 1.2.1-1
- Update to 1.2.1

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.2-1
- initial package
